﻿.html-product-details-page
  .ui-dialog.ui-corner-all.ui-widget.ui-widget-content.ui-front.ui-draggable.ui-resizable {
  min-width: 70%;
  z-index: 9999;
}

.popular-filters-header {
  display: flex;
  align-items: center;
  gap: 10px;
}

#popular-filters-container {
  display: flex;
  align-items: center;
  gap: 8px;
}

.popular-filter-options {
  display: none;
  padding: 10px;
}

.popular-filter-option {
  display: block;
  margin-bottom: 5px;
}

.chevron-icon.rotate {
  transform: rotate(180deg);
  transition: transform 0.2s ease;
}

.popular-filter-disabled {
  opacity: 0.5;
  cursor: not-allowed;
  pointer-events: none;
}

.popular-filter-color .popular-filter-checkbox {
  display: none;
}

.popular-filter-color .popular-color-cube {
  width: 14px;
  height: 14px;
  border: 1px solid #999;
  box-sizing: border-box;
  display: inline-block;
}

.popular-filter-color .popular-filter-checkbox:checked + .popular-color-cube {
  border: 1px solid #000;
  box-shadow: 0 0 0 1px #fff inset;
}

input:checked + .slider {
  background-color: #c00000; /* ON background */
}

/* Default oval */
.popular-filter-toggle {
  border: 1px solid #ccc;
  border-radius: 20px;
  padding: 6px 14px;
  background: #fff;
}

/* Applied state */
.popular-filter-toggle.active {
  border-color: #6fa249;
  background: #e9f4e1;
  color: #6fa249;
}

.clear-filters-btn {
  margin-left: 8px;
  padding: 6px 12px;
  background: #6fa249;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  order: 2;
}

.clear-filters-btn:hover {
  background: #5a873a;
}

.product-image-nav {
  position: absolute;
  transform: translate(50%, 50%) !important;
  top: 50%;
  border: 1px solid #e6e6e6;
  background: #f2f2f2;
  width: 35px;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.product-image-nav-prev {
  left: -35px !important;
}

.product-image-nav-next {
  right: 0 !important;
}
